SRF_DUMP_ALL(1)

NAME
srf_dump_all - dump data of SRF files

SYNOPSIS
srf_dump_all [-c chunk_types] [-d destination_types] [-f read_filter] [-n] [-o] [-t type_of_output] archive_name

OPTIONS

-c chunk_types

    Chunk types to output given as a comma delimited list of types. The following types are allowed: "all", "seq", "prb", "int", "nse", "sig2". The default is "all".

-d destination_types

    Distinations to output to. The following types are allowed: "console", "file", "none". The default is "console". Console and file can be together, but none is exclusive.

-f read_filter

The filter to apply to reads in the archive.
    If reads match the

    filter they are dumped. The filter takes the form of <name>=<value>, where <name> can be "read", "prefix", "file". If the <name> is "read" the value is represents the name of a read to dump. Only the matching read will be dumped. If the <name> is "prefix" the value is represents the prefix of the name of the reads to dump. Only the matching reads will be dumped. If the <name> is "file" the value is a file name where any number of "read" and "prefix" name value pairs can be included, one per line. The default is no filter, which means all reads are dumped.

-n  Output the total number of reads at the bottom.

-o  Output the total number of reads only. Nothing else is output.

-t type_of_output

Type of output.
    Only one value allowed.

    Currently "text" and "solexa" is supported. The default is "text".

-v  Print verbose messages.